> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Document List Type

> Create Document List Type. Creating a new documentListType will tell the Content service to immediately create a document list of the new type within the set scopeType. For instance, a scopeType of "site" will create a list in each site for the tenant. Any defaultDocuments defined for the type will be created within each list, which will be addressable via the type's fully qualified name (FQN) and will use the type's defined views, usages, and metadata by default.



## OpenAPI

````yaml /openapi/openapi_content.json post /content/documentlistTypes
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlistTypes:
    post:
      tags:
        - DocumentListType
      summary: Create Document List Type
      description: >-
        Create Document List Type. Creating a new documentListType will tell the
        Content service to immediately create a document list of the new type
        within the set scopeType. For instance, a scopeType of "site" will
        create a list in each site for the tenant. Any defaultDocuments defined
        for the type will be created within each list, which will be addressable
        via the type's fully qualified name (FQN) and will use the type's
        defined views, usages, and metadata by default.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentListType'
          application/octet-stream:
            schema:
              $ref: '#/components/schemas/DocumentListType'
          text/plain:
            schema:
              $ref: '#/components/schemas/DocumentListType'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentListType'
            text/json:
              schema:
                $ref: '#/components/schemas/DocumentListType'
            text/plain:
              schema:
                $ref: '#/components/schemas/DocumentListType'
          description: Success
components:
  schemas:
    DocumentListType:
      description: "A documentListType instructs the Mozu platform to automatically create documentLists within a scopeType. Example: Creating a documentListType in tenant X with a \r\nscopeType of site tells the Mozu platform to immediately create a documentList in each site tenant X has. The Mozu platform will also automatically create a new \r\ndocumentList for every site subsequently provisioned in tenant X. Any defaultDocuments defined on the documentListType will be created within \r\neach documentList. Each documentList will be addressable via the documenetListType's fully qualified name and will, by default, use the documentListType's views, \r\nusages and metadata. Therefore the documentListType can be used to centrally manage each associated documentList."
      properties:
        defaultDocuments:
          description: >-
            The definition of any documents to create when a documentList is
            created.
          items:
            $ref: '#/components/schemas/DocumentInstallation'
          nullable: true
          type: array
        documentListTypeFQN:
          description: "The unique identifier of the documentListType, represented by name@namespace. The documentListTypeFQN must be provided when creating the documentListType, or the name and namespace fields must be provided.\r\nThis field cannot be updated and each documentList created from the documentListType will use this value."
          nullable: true
          type: string
        documentTypeFQNs:
          description: "The full names (name@namespace) of the types of documents that can be created within the documentLists belonging to this documentListType. \r\nEach documentList created from the documentListType will use this value, but it can be overridden in an individual documentList."
          items:
            type: string
          nullable: true
          type: array
        enableActiveDateRanges:
          description: "Determines if documentLists belonging to this documentListType have ActiveDateRanges turned on or off. \r\nEach documentList created from the documentListType will use this value, but it can be overridden in an individual documentList."
          nullable: true
          type: boolean
        enablePublishing:
          description: "Determines if documentLists belonging to this documentListType have publishing turned on or off. \r\nEach documentList created from the documentListType will use this value, but it can be overridden in an individual documentList."
          nullable: true
          type: boolean
        installationPackage:
          description: "Optionally, a documentListType can be defined in an installationPackage and then installed into a tenant. Installed documentListsTypes can only be updated via installation upgrades. \r\nCurrently only internal Mozu platform components can create installations. This field is system-supplied and read-only."
          nullable: true
          type: string
        metadata:
          description: "Allows arbitrary data to be stored on the documentListType. Each documentList created from this documentListType will use this value, \r\nbut it can be overridden in an individual documentList."
          nullable: true
        name:
          description: "The name component of the documentListTypeFQN, name@namespace. The name must be unique within the namespace component and cannot be updated.\r\nEach documentList created from the documentListType will use this value."
          nullable: true
          type: string
        namespace:
          description: "The namespace component of the documentListTypeFQN, name@namespace. The issued dev account namespace must be used unless elevated privileges allow a blank namespace to be used. The namespace cannot be updated.\r\nEach documentList created from the documentListType will use this value."
          nullable: true
          type: string
        scopeType:
          description: >-
            The context level at which this documentListType will create
            documentLists. Valid values are "tenant", "masterCatalog", "catalog"
            and "site". This field is read-only after insert.
          nullable: true
          type: string
        supportsActiveDateRanges:
          description: "Determines if documentLists belonging to this documentListType will support drafting and ActiveDateRanges documents. \r\nThis field defaults to false and cannot be updated. Each documentList created from the documentListType will use this value."
          type: boolean
        supportsPublishing:
          description: "Determines if documentLists belonging to this documentListType will support drafting and publishing documents. \r\nThis field defaults to false and cannot be updated. Each documentList created from the documentListType will use this value."
          type: boolean
        usages:
          description: "An array of strings that describes to the Mozu platform the manner(s) in which a documentList can be used. The following values are valid:\r\nentitymanager -- the documentList should be visible in the Admin Content/Entities screen, which allows admin users to create, manage and publish documents within the documentList.\r\nsitebuilder -- the documentList should be visible in Sitebuilder. A documentList will display in the Sitebuilder Navigation Content List node, which supports document creation, management and web cms integration.\r\nEach documentList created from this documentListType will use this value, but it can be overridden in an individual documentList."
          items:
            type: string
          nullable: true
          type: array
        version:
          description: >-
            The version of the installationPackge installed. This field is
            read-only.
          nullable: true
          type: string
        views:
          description: "An array of one or more views, which each allow GET access to a projection of fields from the documents in the given documentList. \r\nEach documentList created from this documentListType will use this value, but it can be overridden in an individual documentList."
          items:
            $ref: '#/components/schemas/View'
          nullable: true
          type: array
      type: object
    DocumentInstallation:
      description: The definition of a document to create when a documentList is created.
      properties:
        documentTypeFQN:
          description: The full name of the documentType that underlies this document.
          nullable: true
          type: string
        locale:
          description: tbd
          nullable: true
          type: string
        name:
          description: The name of the document to create.
          nullable: true
          type: string
        properties:
          description: The properties of this document.
          nullable: true
      type: object
    View:
      description: "A view provides GET access to documents within the documentList the view belongs to. The view can designate which document fields are returned (projection) and\r\na security model for providing GET access independent of the documentList's security model."
      properties:
        fields:
          description: >-
            Designation of which document fields are returned (projection) when
            GETing documents from the view.
          items:
            $ref: '#/components/schemas/ViewField'
          nullable: true
          type: array
        filter:
          description: "Filter criteria to apply automatically when documents from this view are accessed, using the standard Mozu filter syntax. Only documents matching the filter criteria will be returned. \r\nAny filter provided by an operation is combined with the view filter."
          nullable: true
          type: string
        includeInactiveMode:
          description: "If view documents are requested with includeInactive=true, then this controls which documents return. If includeInactive is not provided or set to false, then only active documents return.\r\nIf not set, or set to \"all\", then all documents return.\r\nIf set to \"active\", then only documents within the active date range and documents with no active date range are returned.\r\nIf set to \"scheduled\", then only documents with an active date range in the future are returned.\r\nIf set to \"activeOrScheduled\", then only documents that are active or documents with an active date range in the future are returned.\r\nIf set to \"ended\", then only documents with an active date range in the past are returned."
          nullable: true
          type: string
        isAdminDefault:
          nullable: true
          type: boolean
        isVisibleInStorefront:
          description: "The isVisibleInStorefront field indicates whether documents in the view can be accessed from the Mozu storefront application. If true, the storefront application and storefront client application (javascript tier) \r\ncan GET documents from the view."
          nullable: true
          type: boolean
        metadata:
          description: The metadata field allows arbitrary data to be stored on the view.
          nullable: true
        name:
          description: >-
            A view is addressed via its name, which is unique within the
            documentList or documentListType in which it is defined.
          nullable: true
          type: string
        usages:
          description: tbd
          items:
            type: string
          nullable: true
          type: array
      type: object
    ViewField:
      description: The projection of an individual field in a view.
      properties:
        name:
          description: "The name of the field projected into the view document, meaning the name given to the target field after it is projected.\r\nThe name must be unique within the list of viewFields provided in the view."
          nullable: true
          type: string
        target:
          description: "Specifies the document field to project. First-class fields will be returned on the document, but can be projected into the view properties. \r\nValid first-class fields include name, id, documentTypeFqn, listFqn and publishState. Dynamic fields within the properties field can be projected by prefixing the target string with \"properties.\"\r\nExample: \"properties.property1\". If a property is an object, then dot notation can be used to walk to particular subelements. Example: \"properties.property1.subProperty1\"\r\nIndividual array elements can be selected as well. Example: \"properties.property1.subProperty1.subSubArray[2].propertyOnArrayItem\"\r\nAny target miss will result in a null value returning for the projected field."
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````